Overview
GET
/public/discussion/topicsdiscussionList the hub’s live PUBLIC topics (anonymous; author id omitted)
List topics.
Parameters
- pagequery · optionalstring
- pageSizequery · optionalstring
Responses
200
The ecosystem’s live topics, most-recently-active first
- itemsDiscussionTopic[]
Example
{
"items": [
{
"id": "string",
"communityId": "string",
"customerId": "string",
"title": "string",
"categoryId": "string",
"isPinned": true,
"isLocked": true,
"isPublic": true,
"replyCount": 0,
"answeredPostId": "string",
"lastActivityAt": "string",
"createdAt": "string",
"updatedAt": "string",
"excerpt": "string",
"authorName": "string",
"authorSlug": "string",
"authorAvatarUrl": "string"
}
]
}Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/public/discussion/topics" \
-H "Authorization: Bearer YOUR_TOKEN"JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/public/discussion/topics", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
},
});
const data = await res.json();